# Uses of Class
javafx.scene.input.ZoomEvent

Packages that use ZoomEvent
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of ZoomEvent in javafx.scene

Methods in javafx.scene that return types with arguments of type ZoomEvent
Modifier and Type
Method
Description
`final EventHandler<? super ZoomEvent>`
Node.`getOnZoom()`
Gets the value of the `onZoom` property.
`final EventHandler<? super ZoomEvent>`
Scene.`getOnZoom()`
Gets the value of the `onZoom` property.
`final EventHandler<? super ZoomEvent>`
Node.`getOnZoomFinished()`
Gets the value of the `onZoomFinished` property.
`final EventHandler<? super ZoomEvent>`
Scene.`getOnZoomFinished()`
Gets the value of the `onZoomFinished` property.
`final EventHandler<? super ZoomEvent>`
Node.`getOnZoomStarted()`
Gets the value of the `onZoomStarted` property.
`final EventHandler<? super ZoomEvent>`
Scene.`getOnZoomStarted()`
Gets the value of the `onZoomStarted` property.
`final ObjectProperty<EventHandler<? super ZoomEvent>>`
Node.`onZoomFinishedProperty()`
Defines a function to be called when a zooming gesture ends.
`final ObjectProperty<EventHandler<? super ZoomEvent>>`
Scene.`onZoomFinishedProperty()`
Defines a function to be called when a zooming gesture ends.
`final ObjectProperty<EventHandler<? super ZoomEvent>>`
Node.`onZoomProperty()`
Defines a function to be called when user performs a zooming action.
`final ObjectProperty<EventHandler<? super ZoomEvent>>`
Scene.`onZoomProperty()`
Defines a function to be called when user performs a zooming action.
`final ObjectProperty<EventHandler<? super ZoomEvent>>`
Node.`onZoomStartedProperty()`
Defines a function to be called when a zooming gesture is detected.
`final ObjectProperty<EventHandler<? super ZoomEvent>>`
Scene.`onZoomStartedProperty()`
Defines a function to be called when a zooming gesture is detected.
Method parameters in javafx.scene with type arguments of type ZoomEvent
Modifier and Type
Method
Description
`final void`
Node.`setOnZoom(EventHandler<? super ZoomEvent> value)`
Sets the value of the `onZoom` property.
`final void`
Scene.`setOnZoom(EventHandler<? super ZoomEvent> value)`
Sets the value of the `onZoom` property.
`final void`
Node.`setOnZoomFinished(EventHandler<? super ZoomEvent> value)`
Sets the value of the `onZoomFinished` property.
`final void`
Scene.`setOnZoomFinished(EventHandler<? super ZoomEvent> value)`
Sets the value of the `onZoomFinished` property.
`final void`
Node.`setOnZoomStarted(EventHandler<? super ZoomEvent> value)`
Sets the value of the `onZoomStarted` property.
`final void`
Scene.`setOnZoomStarted(EventHandler<? super ZoomEvent> value)`
Sets the value of the `onZoomStarted` property.

## Uses of ZoomEvent in javafx.scene.input

Fields in javafx.scene.input with type parameters of type ZoomEvent
Modifier and Type
Field
Description
`static final EventType<ZoomEvent>`
ZoomEvent.`ANY`
Common supertype for all zoom event types.
`static final EventType<ZoomEvent>`
ZoomEvent.`ZOOM`
This event occurs when user performs a zooming gesture such as dragging two fingers apart.
`static final EventType<ZoomEvent>`
ZoomEvent.`ZOOM_FINISHED`
This event occurs when a zooming gesture ends.
`static final EventType<ZoomEvent>`
ZoomEvent.`ZOOM_STARTED`
This event occurs when a zooming gesture is detected.
Methods in javafx.scene.input that return ZoomEvent
Modifier and Type
Method
Description
`ZoomEvent`
ZoomEvent.`copyFor(Object newSource, EventTarget newTarget)`
`ZoomEvent`
ZoomEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<ZoomEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.scene.input that return types with arguments of type ZoomEvent
Modifier and Type
Method
Description
`EventType<ZoomEvent>`
ZoomEvent.`getEventType()`
Method parameters in javafx.scene.input with type arguments of type ZoomEvent
Modifier and Type
Method
Description
`ZoomEvent`
ZoomEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<ZoomEvent> type)`
Creates a copy of the given event with the given fields substituted.
Constructor parameters in javafx.scene.input with type arguments of type ZoomEvent
Modifier
Constructor
Description
``
`ZoomEvent(Object source, EventTarget target, EventType<ZoomEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double zoomFactor, double totalZoomFactor, PickResult pickResult)`
Constructs new ZoomEvent event.
``
`ZoomEvent(EventType<ZoomEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double zoomFactor, double totalZoomFactor, PickResult pickResult)`
Constructs new ZoomEvent event with null source and target.